#ifndef APKBUILDER_H_
#define APKBUILDER_H_

#include "tool.h"

class ApkBuilder: public Tool
{
private:
	Tool *jarsigner;

public:
	ApkBuilder(Builder &);

	virtual Target *create_target(const std::list<Target *> &, const std::string &);
protected:
	virtual void do_prepare();
public:
	virtual Task *run(const Target &) const;
};

#endif
