#ifndef DATACOMPILER_H_
#define DATACOMPILER_H_

#include "tool.h"

class DataTool: public Tool
{
public:
	DataTool(Builder &);

	virtual Target *create_source(const Component &, const Msp::FS::Path &) const;
	virtual Target *create_target(const std::list<Target *> &, const std::string &);
	virtual std::string create_build_signature(const BuildInfo &) const;
	virtual Task *run(const Target &) const;
};

#endif
